Skip to main content
`Ctrl`+`K`

# DMPlexComputeMoments

Compute the first three moments for a field

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexComputeMoments(DM dm, Vec u, PetscReal moments[])

Noncollective

## Input Parameters

- dm - the `DMPLEX`

- u - the field

## Output Parameter

- moments - the field moments

## Note

The `moments` array should be of length cdim + 2, where cdim is the number of components for the coordinate field.

## See Also

`DM`, `DMPLEX`, `DMSwarmComputeMoments()`

## Level

intermediate

## Location

src/dm/impls/plex/plexfem.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages